Subject: Re: bug#4136: 23.1; delete-pair

From: Juri Linkov <[email-masked]>
Date: Fri, 14 Aug 2009 02:29:09 +0300

>> `delete-pair' is deleting what it documents -- instead of removing the
>> open paren of the following sexp, it deletes the current one.  So, if
>> the cursor is on some whitespace that precedes an expression, the
>> whitespace is deleted, and the open paren is left intact.
>
> `delete-pair' shouldn't delete anything but matching elements of
> `insert-pair-alist'.

This is rather vague semantics.  I suggest to keep the current simple
semantics and just to fix it with the patch I sent.

-- 
Juri Linkov
http://www.jurta.org/emacs/